import { ChartAnnotation, ChartDimension, ChartSettings, EntityType, Property, QueryReturn } from '@metad/ocap-core';
import { EChartsContext, EChartsOptions } from './types';
export declare function tree(data: QueryReturn<unknown>, chartAnnotation: ChartAnnotation, entityType: EntityType, settings: ChartSettings, options?: EChartsOptions): {
    tooltip: any;
    series: any[];
} | {
    echartsOptions: {
        series: {
            type: string;
            id: string;
            universalTransition: boolean;
            data: unknown[];
            links: any[];
        }[];
    };
    data: QueryReturn<unknown>;
    chartAnnotation: ChartAnnotation;
    entityType: EntityType;
    settings: ChartSettings;
    options: EChartsOptions;
    tooltip?: undefined;
    series?: undefined;
};
export declare function treemap(result: QueryReturn<unknown>, chartAnnotation: ChartAnnotation, entityType: EntityType, settings: ChartSettings, options: EChartsOptions): EChartsContext;
export declare function sunburst(result: QueryReturn<unknown>, chartAnnotation: ChartAnnotation, entityType: EntityType, settings: ChartSettings, options: EChartsOptions): EChartsContext;
export declare function sankey(data: QueryReturn<unknown>, chartAnnotation: ChartAnnotation, entityType: EntityType, settings: ChartSettings, options: EChartsOptions): EChartsContext;
export declare function leveledHierarchy(data: Array<unknown>, chartAnnotation: ChartAnnotation, entityType: EntityType, aggregator: (data: any, key: any) => number): {
    name: string;
    children: unknown[];
    value: any;
}[];
/**
 *
 * @param data
 * @param chartAnnotation
 * @param aggregator
 */
export declare function leveledGraph(data: Array<unknown>, chartAnnotation: ChartAnnotation, entityType: EntityType, aggregator: (data: any, key: any) => number): {
    nodes: unknown[];
    links: any[];
};
export declare function convertTree2NodeLinks(data: Array<unknown>, child: Property, parent: string, level: string, dimension: ChartDimension, measure: string, options: EChartsOptions): {
    nodes: any[];
    links: any[];
};
